<script type="ts">
    import { Range, NumberInput, Helper } from "flowbite-svelte";
    export let min = 0;
    export let max = 100;
    export let step = Math.abs(max - min) / 1000;
    export let value;
</script>

<div class="flex flex-row gap-5">
    <div class="w-full">
        <Range on:change {min} {max} {step} bind:value />
        <Helper
            ><div class="flow-root">
                <span class="float-left">{min}</span><span class="float-right"
                    >{max}</span>
            </div></Helper>
    </div>
    <div class="w-24">
        <NumberInput on:change {step} class="text-right" size="sm" bind:value />
    </div>
</div>

<style>
</style>
